Package icyllis.arc3d.granite

# Class GeometryRenderer

java.lang.Object
icyllis.arc3d.granite.GeometryRenderer

public final class GeometryRenderer extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MAX_RENDER_STEPS`
  The maximum number of render steps that any Renderer is allowed to have.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GeometryRenderer(String name, GeometryStep step0)`
  `GeometryRenderer(String name, GeometryStep step0, GeometryStep step1)`
  `GeometryRenderer(String name, GeometryStep step0, GeometryStep step1, GeometryStep step2)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `depthStencilFlags()`
  `boolean`
  `emitsCoverage()`
  `boolean`
  `emitsPrimitiveColor()`
  `String`
  `name()`
  `int`
  `numSteps()`
  `boolean`
  `outsetBoundsForAA()`
  `GeometryStep`
  `step(int i)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MAX_RENDER_STEPS

    public static final int MAX_RENDER_STEPS
    The maximum number of render steps that any Renderer is allowed to have. For example, Stencil-then-Cover method has multiple steps.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GeometryRenderer

    public GeometryRenderer(String name, GeometryStep step0)

  - ### GeometryRenderer

    public GeometryRenderer(String name, GeometryStep step0, GeometryStep step1)

  - ### GeometryRenderer

    public GeometryRenderer(String name, GeometryStep step0, GeometryStep step1, GeometryStep step2)

- ## Method Details

  - ### step

    public GeometryStep step(int i)

  - ### numSteps

    public int numSteps()

  - ### name

    public String name()

  - ### depthStencilFlags

    public int depthStencilFlags()

  - ### outsetBoundsForAA

    public boolean outsetBoundsForAA()

  - ### emitsPrimitiveColor

    public boolean emitsPrimitiveColor()

  - ### emitsCoverage

    public boolean emitsCoverage()